org.eclipse.emf.cdo.spi.server

## Class RepositoryConfigurator.Factory.Default

- java.lang.Object
- - org.eclipse.net4j.util.factory.Factory
  - - org.eclipse.emf.cdo.spi.server.RepositoryConfigurator.Factory
    - - org.eclipse.emf.cdo.spi.server.RepositoryConfigurator.Factory.Default

- All Implemented Interfaces:
    IManagedContainer.ContainerAware, IFactory
  Enclosing class:
    RepositoryConfigurator.Factory

      public static final class RepositoryConfigurator.Factory.Default
      extends RepositoryConfigurator.Factory

  Author:
    Eike Stepper

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.cdo.spi.server.RepositoryConfigurator.Factory

      `RepositoryConfigurator.Factory.Default`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `TYPE`

    - ### Fields inherited from class org.eclipse.emf.cdo.spi.server.RepositoryConfigurator.Factory

      `PRODUCT_GROUP`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Default()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `RepositoryConfigurator` | `create(IManagedContainer container, java.lang.String description)`

    - ### Methods inherited from class org.eclipse.emf.cdo.spi.server.RepositoryConfigurator.Factory

      `create, setManagedContainer`

    - ### Methods inherited from class org.eclipse.net4j.util.factory.Factory

      `getDescriptionFor, getKey, getProductGroup, getType, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### TYPE

          public static final java.lang.String TYPE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Default

          public Default()

  - ### Method Detail

    - #### create

          public RepositoryConfigurator create(IManagedContainer container,
                                               java.lang.String description)
                                        throws ProductCreationException

      Specified by:
        `create` in class `RepositoryConfigurator.Factory`
      Throws:
        `ProductCreationException`

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html